<?php

define('SITE_NAME_CONST', 'SITE_NAME');

$config[SITE_NAME_CONST] = 'archive.yourdomain.com';
$config['SITE_URL'] = 'http://' . $config[SITE_NAME_CONST] . '/';

$config['SMTP_DOMAIN'] = $config[SITE_NAME_CONST];
$config['SMTP_FROMADDR'] = 'no-reply@' . $config[SITE_NAME_CONST];
$config['ADMIN_EMAIL'] = 'admin@' . $config[SITE_NAME_CONST];

$config['DB_PASSWORD'] = 'MYSQL_PASSWORD';

$config['DECRYPT_BINARY'] = '/usr/bin/pilerget';
$config['DECRYPT_ATTACHMENT_BINARY'] = '/usr/bin/pileraget';
$config['PILER_BINARY'] = '/usr/sbin/piler';
$config['DB_HOSTNAME'] = 'mariadb';
$config['DB_DATABASE'] = 'piler';
$config['DB_USERNAME'] = 'admin';
$config['DB_PASSWORD'] = 'secret';
$config['ENABLE_MEMCACHED'] = 1;
$memcached_server = ['{{ memcached_hostname }}', {{ memcached_internal_port }}];

$config['ENABLE_LDAP_AUTH'] = 1;
$config['LDAP_HOST'] = 'ldap';
$config['LDAP_HELPER_DN'] = '{{ ldap_admin_user_dn }}';
$config['LDAP_HELPER_PASSWORD'] = '{{ ldap_admin_password }}';
$config['LDAP_BASE_DN'] = '{{ ldap_base_dn }}';

$config['ENABLE_PROMETHEUS_METRICS'] = 1;

$config['ENABLE_FOLDER_RESTRICTIONS'] = 1;
